Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/perl-bsd-resource: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 20 Nov 2015 14:49:54 +0200

---
 testing/perl-bsd-resource/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-bsd-resource/APKBUILD
diff --git a/testing/perl-bsd-resource/APKBUILD b/testing/perl-bsd-resource/APKBUILD
new file mode 100644
index 0000000..1a20017
--- /dev/null
+++ b/testing/perl-bsd-resource/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-bsd-resource
+_pkgreal=BSD-Resource
+pkgver=1.2909
+pkgrel=0
+pkgdesc="Perl extension implements the BSD process resource limit functions"
+url="http://search.cpan.org/dist/BSD-Resource/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JH/JHI/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="3c6dd2fa953088aa87e263f40818d012  BSD-Resource-1.2909.tar.gz"
+sha256sums="c47d460e2bd00d8d049f6ff4a0f1f61957e289e8de45af5fc79e851e2e855e06  BSD-Resource-1.2909.tar.gz"
+sha512sums="5f489eaac5089e82081b7cf51d62638750e443751b49415407354da96b17771819b5e6e85529faa41ddd85743363750157943c7f7700276cce2bd40a429fa430  BSD-Resource-1.2909.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 20 2015 - 14:49:54 GMT